#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Catalyst
%define	pnam	Action-RenderView
Summary:	Catalyst::Action::RenderView - sensible default end action
Summary(pl.UTF-8):	Catalyst::Action::RenderView - sensowna domyślna akcja końcowa
Name:		perl-Catalyst-Action-RenderView
Version:	0.16
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Catalyst/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	ed0ce5d8e57fef806938bf904862a2cd
URL:		http://search.cpan.org/dist/Catalyst-Action-RenderView/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Catalyst >= 5.7
BuildRequires:	perl-Data-Visitor >= 0.08
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This action implements a sensible default end action, which will
forward to the first available view, unless status is set to 3xx, or
there is a response body. It also allows you to pass dump_info=1 to
the URL in order to force a debug screen, while in debug mode.

If you have more than one view, you can specify which one to use with
the default_view config setting.

%description -l pl.UTF-8
Ta akcja implementuje sensowną domyślną akcję końcową, przekazującą
pierwszy dostępny widok, chyba że status jest ustawiony na 3xx lub
nie ma ciała odpowiedzi. Pozwala także przekazać dump_info=1 do
URL-a, aby wymusić ekran śledzenia w przypadku trybu śledzenia.

Jeśli jest więcej niż jeden widok, można podać który ma być
wykorzystany przy użyciu ustawienia konfiguracyjnego default_view.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} -MExtUtils::MakeMaker -we 'WriteMakefile(NAME=>"Catalyst::Action::RenderView")' \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Catalyst/Action/*.pm
%{_mandir}/man3/*
%changelog
* Sun Apr 28 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Catalyst-Action-RenderView.git;a=log;h=master

* Tue Jan 24 2012 zbyniu <zbyniu@pld-linux.org> 5801fa0
- up to 0.16

* Mon Oct 26 2009 amateja <amateja@pld-linux.org> e364a67
- updated to 0.13

* Wed Sep 09 2009 amateja <amateja@pld-linux.org> d527fda
- updated to 0.11

* Fri Dec 12 2008 radek <radek@pld-linux.org> 0623f49
- version 0.08

* Sat Feb 23 2008 radek <radek@pld-linux.org> f525713
- version 0.07

* Sat Mar 31 2007 Jakub Bogusz <qboosh@pld-linux.org> 19ef5fe
- generic URL
- BR: perl-Module-Build

* Fri Mar 23 2007 radek <radek@pld-linux.org> 36cf193
- updated perl-Catalyst-* to newest versions

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 425da3b
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 321e817
- converted to UTF-8

* Sat Aug 19 2006 Jakub Bogusz <qboosh@pld-linux.org> 4003d40
- pl

* Sat Aug 12 2006 migo <migo@pld-linux.org> 0f5e22d
- initial revision

